Create Single Shipment

Prev Next
Post
/po-rest-api/jersey/v1/shipmentReceiving

Create Purchase Order Shipment

This API endpoint is used to create PO Shipment lines within the CMiC system. It allows users to submit detailed information regarding shipments, including vendor details, shipment dates, and quantities received.

UI Location

This functionality can be accessed in the CMiC user interface at:
ASSET MANAGEMENT - Purchase Order - Receipt- Enter Wareshouse/Job Receipt

Method: POST
Endpoint: po-rest-api/jersey/v1/shipmentReceiving

Object Name Type Nullable Comments
poshipment poshp_comp_code varchar2(8) No Company code
poshp_comp_name varchar2(30) Yes Company name
poshp_shipm_rec_loc varchar2(7) Yes Shipment receiving location code
poshp_shipm_rec_loc_name varchar2(60) Yes Shipment receiving location name
poshp_shipm_num varchar2(20) Yes Shipment number
poshp_shiplist_num varchar2(20) Yes Shiplist number
poshp_vendor_code varchar2(8) Yes Vendor code
poshp_vendor_name varchar2(50) Yes Vendor name
poshp_shipm_rec_date date Yes Shipment receiving date
poshp_receiver varchar2(30) Yes Receiver identifier
poshp_receiver_name varchar2(30) Yes Receiver name
poshp_po_num varchar2(11) Yes Purchase order number
poshp_po_rel_num number(11) Yes Purchase order release number
poshp_appr_flag varchar2(1) Yes Approval flag (e.g., Y/N)
poshp_shipm_method varchar2(5) Yes Shipment method code
poshp_shipm_method_name varchar2(30) Yes Shipment method name
poshp_ship_line varchar2(3) Yes Shipping line identifier
poshp_trnsp_mean varchar2(3) Yes Transport means code
poshp_trnsp_mean_num varchar2(16) Yes Transport means number
poshp_trnsp_doc_num varchar2(16) Yes Transport document number
poshp_remarks varchar2(250) Yes Additional remarks or comments
poshp_batch_num number(15) Yes Batch number
poshp_v_uuid varchar2(64) Yes Unique identifier (UUID) for version tracking
poshipmdet poshpd_comp_code varchar2(8) No Company code
poshpd_comp_name varchar2(30) Yes Company name
poshpd_line_num number(6) No Document line number
poshpd_po_num varchar2(11) Yes Purchase order number
poshpd_po_rel_num number(11) Yes PO release number
poshpd_po_line_num number(6) Yes PO line number
poshpd_item_class varchar2(4) Yes Item class/category code
poshpd_item_code varchar2(16) Yes Unique item identifier
poshpd_item_name varchar2(4000) Yes Item name or description
poshpd_item_type varchar2(2) Yes Item type code
poshpd_item_wm_code varchar2(2) Yes Warehouse mgmt code for item
poshpd_loc_code varchar2(7) Yes Storage location code
poshpd_wm_code varchar2(2) Yes Warehouse code
poshpd_receiv_qty number(16,8) Yes Received quantity
poshpd_reject_qty number(16,8) Yes Rejected quantity
poshpd_claim_qty number(16,8) Yes Claimed quantity
poshpd_unit_cost number Yes Unit cost
poshpd_appr_flag varchar2(1) Yes Approval flag
poshpd_cost_post_date date Yes Date of cost posting
poshpd_bch_num number(11) Yes Batch number
poshpd_allocated_qty number(16,8) Yes Allocated quantity
poshpd_shipm_num varchar2(20) Yes Shipment number
poshpd_shiplist_num varchar2(20) Yes Shipment list number
poshpd_shipm_method varchar2(5) Yes Shipment method
poshpd_ship_line varchar2(3) Yes Shipping line code
poshpd_trnsp_mean varchar2(3) Yes Transport means
poshpd_trnsp_mean_num varchar2(16) Yes Transport means number
poshpd_trnsp_doc_num varchar2(16) Yes Transport document number
poshpd_remarks varchar2(250) Yes Additional remarks
poshpd_receiver varchar2(30) Yes Shipment receiver name
poshpd_shipm_rec_date date Yes Shipment received date
poshpd_iv_flag varchar2(1) Yes Invoice flag
poshpd_tenant_id varchar2(30) Yes Tenant ID
Control Fields company varchar2(8) No Company code
postFlag varchar2(1) No Posting Flag - Y or N
postDate date Yes Posting date - Required if Post Flag is Y
batchNum number(11) Yes Batch Num - For Job receipt, provide either valid batch num or batch name. Leaving NULL will create a Warehouse receipt
batchName varchar2(30) Yes Batch Name - For Job receipt, provide either valid batch num or batch name. Leaving NULL will create a Warehouse receipt

Request Body Format

The request should be sent as a JSON object containing the following structure:

{
  "data": {
    "shipment": [
      {
        "poshpShipmRecLoc": "string",      // Location of shipment receiving
        "poshpReceiver": "string",          // Receiver's name
        "poshpVendorCode": "string",        // Vendor code
        "poshpShipmRecDate": "YYYY-MM-DD",  // Shipment receiving date
        "poshpPoNum": "string",              // Purchase order number
        "poshpPoRelNum": "integer",          // Purchase order release number
        "poshpShipmNum": "string",           // Shipment number
        "poshpShiplistNum": "string",        // Shipment list number
        "poshpRemarks": "string",            // Additional remarks
        "poshpVUuid": "string",              // UUID for the shipment
        "detail": [
          {
            "poshpdPoLineNum": "integer",    // Purchase order line number
            "poshpdPoNum": "string",          // Purchase order number
            "poshpdPoRelNum": "integer",      // Purchase order release number
            "poshpdShipmNum": "string",       // Shipment number
            "poshpdShiplistNum": "string",    // Ship list number
            "poshpdWmCode": "string",         // WM code
            "poshpdReceivQty": "integer",     // Quantity received
            "poshpdClaimQty": "integer|null", // Quantity claimed
            "poshpdRejectQty": "integer|null",// Quantity rejected
            "poshpdVUuid": "string"           // UUID for the detail
          }
        ]
      }
    ]
  },
  "company": "string",                     // Company code
  "postFlag": "Y/N",                      // Flag to indicate posting
  "postDate": "YYYY-MM-DD",               // Posting date
  "batchNum": "integer",                  // Batch number
  "batchName": "string"                   // Name of the batch
}

Expected Response

Upon successful execution, the API will return a response with a status code of 201. The response will be in JSON format, indicating the success of the operation. The response bod will typically confirm the successful creation of the purchase order shipment lines

Security
HTTP
Type basic

Basic authentication

Header parameters
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourceItem+json
Body parameters
object
Example{ "data": { "shipment": [ { "poshpShipmRecLoc": "MAIN", "poshpReceiver": "DA", "poshpVendorCode": "AXIS", "poshpShipmRecDate": "2025-06-27", "poshpPoNum": "ZZ-0093", "poshpPoRelNum": 1, "poshpShipmNum": "1234", "poshpShiplistNum": "1234", "poshpRemarks": "", "poshpVUuid": "", "detail": [ { "poshpdPoLineNum": 1, "poshpdPoNum": "ZZ-0093", "poshpdPoRelNum": 1, "poshpdShipmNum": "", "poshpdShiplistNum": "", "poshpdWmCode": "NA", "poshpdReceivQty": 1, "poshpdClaimQty": null, "poshpdRejectQty": null, "poshpdVUuid": "" }, { "poshpdPoLineNum": 2, "poshpdPoNum": "ZZ-0093", "poshpdPoRelNum": 1, "poshpdShipmNum": "", "poshpdShiplistNum": "", "poshpdWmCode": "NA", "poshpdReceivQty": 2, "poshpdClaimQty": null, "poshpdRejectQty": null, "poshpdVUuid": "" } ] } ] }, "company": "ZZ", "postFlag": "Y", "postDate": "2025-07-15", "batchNum": null, "batchName": "" }
Responses
201

Successful response

Copyright © 2024 CMiC All Rights Reserved